Bug 146263 - unable to fetch mail
unable to fetch mail
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-26 10:34 EST by Remigiusz Gorecki
Modified: 2014-01-21 17:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-22 16:07:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Remigiusz Gorecki 2005-01-26 10:34:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040831 Firefox/0.9.3

Description of problem:
Dovecot can't fetch any mail (even those stored in /var/spool/mail) if
user the parent of the user's home directory hasn't execute permition
for group root (x - bit).

Version-Release number of selected component (if applicable):
dovecot-0.99.13-3.FC3

How reproducible:
Always

Steps to Reproduce:
1. chgrp users /home
2. chmod go-rwx /home
3.
    

Actual Results:  It is imposible to fetch any mail.

Additional info:

This problem is now fixed but in the test version of dovecot (e.g.
dovecot-1.0-test60 - see www.dovecot.org). It can be fixed by doing
not only setreuid(gid, gid) (in file mail-process.c) but first first
setregid(gid, gid) have to be done. Now after setreuid(gid, gid) is
executed user still belongs to the group root.
Comment 1 John Dennis 2005-07-22 16:07:42 EDT
I believe this was fixed in mail-process.c 1.70 which is in our current 0.99.14
version of dovecot, closing...

Note You need to log in before you can comment on or make changes to this bug.